<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Home extends CI_Controller {

    /**
     * Index Page for this controller.
     *
     * Maps to the following URL
     * 		http://example.com/index.php/welcome
     * 	- or -  
     * 		http://example.com/index.php/welcome/index
     * 	- or -
     * Since this controller is set as the default controller in 
     * config/routes.php, it's displayed at http://example.com/
     *
     * So any other public methods not prefixed with an underscore will
     * map to /index.php/welcome/<method_name>
     * @see http://codeigniter.com/user_guide/general/urls.html
     */
    public function __construct() {
        parent::__construct();
        $this->load->helper('url');
        //including validation library
        $this->load->library(array('form_validation', 'session'));
        $this->load->model(array('usermodel'));
    }

    public function index() {
        $data = array();

        if (isset($this->session->userdata['id'])) {
            $data['groupId']=$this->session->userdata['role'];
            $data['links'] = '<a class="navbar-brand" href="index.php/home/logout"> Logout</a>';
            $this->load->view('header',$data);
            $this->load->view('welcome_message', $data);
            $this->load->view('footer');
        } else {
            redirect(base_url('index.php/home/login'));
        }
    }

    /*
     * login function is used to set user session when user enter valid information
     * @param
     * return error if user information didn't match else redirect too next phase
     */

    public function login() {
        $data = array();
        
        if (isset($_POST)) {
            
            $this->form_validation->set_rules('username', 'Username', 'required');
            $this->form_validation->set_rules('password', 'Password', 'required');
            if ($this->form_validation->run() == FALSE) {
                
            } else {
                $userData = array();
                $data = array();
                $userData['username'] = $this->input->post('username');
                //$userData['password'] = md5($this->input->post('password'));
                $userData['password'] = $this->input->post('password');
                $userInfo = $this->usermodel->verifyUser($userData);
                
                if($userInfo === ''){
                    $data['msg'] = 'Invalid User.';
                }else {
                    $userSession = array(
                        'id' => $userInfo->id,
                        'username' => $userInfo->userid,
                        'role'     => $userInfo->role,
                        'schoolid' => $userInfo->schoolid
                    );
                    $this->session->set_flashdata('message','Login Successfully!');
                    $this->session->set_userdata($userSession);
                    $this->session->userdata;
                    redirect(base_url());
                }
            }
        //echo '<pre>';
        //print_r($data);exit;
        }
        
        $this->load->view('header');
        $this->load->view('index',$data);
        $this->load->view('footer');
    }
    
    public function logout(){
        $this->session->sess_destroy();
        redirect(base_url());
    }

}

/* End of file index.php */
/* Location: ./application/controllers/index.php */
