
var editor; // use a global for the submit and return data rendering in the examples



$(document).ready(function () {

    editor = new $.fn.dataTable.Editor({
        table: "#example",
        fields: [{
                label: "Name:",
                id: "name",
                name: "name"
            }, {
                label: "OLM Id:",
                name: "olmid"
            }, {
                label: "Description:",
                name: "description",
                type: "textarea"
            }, {
                label: "Schoollvel:",
                name: "schoollevel",
                type: "select",
                ipOpts: getSchoolLevels()
            }, {
                label: "Group Name:",
                id: "gropus",
                name: "groupname",
                type: "select",
                ipOpts: getGroupList()
            }, {
                label: "Prerequisites:",
                name: "prerequisites",
                type: "textarea"
            }, {
                label: "Parent Id:",
                name: "parentid"
            }, {
                label: "Child Level:",
                name: "childlevel"
            }, {
                label: "Term:",
                id: "term",
                name: "termid",
                type: "select",
                ipOpts: getSettingList()
            }, {
                label: "Value:",
                name: "value"
            }, {
                label: "Difficulty:",
                name: "difficulty"
            }, {
                name: "id",
                type: "hidden"
            }


        ],
        ajax: path + "competency/createCompetency"

    });
    
    //Activate an inline edit on click of a table cell
    $('#example').on('click', 'tbody td', function (e) {
        editor.inline(this);
    });

    editor.on('preSubmit', function (e, o) {
        var formError = 'ture';
        if (o.data.name === '') {
            this.error('name', 'Name must be given');
            formError = false;
            return false;
        }
        if (o.data.olmid === '') {
            this.error('olmid', 'OL MID must be given');
            formError = false;
            return false;
        }
        if (o.data.description === '') {
            this.error('description', 'Description must be given');
            formError = false;
            return false;
        }
        if (o.data.prerequisites === '') {
            this.error('prerequisites', 'Prerequisites must be given');
            formError = false;
            return false;
        }
        

    });

    
    var table = $('#example').DataTable({
        lengthChange: false,
        ajax: "competency/getCompetencies/"+schoolid,
        columns: [
            {data: "name"},
            {data: "description"},
            {data: "schoollevel"},
            {data: "groupname"}

        ]
    });

    var tableTools = new $.fn.dataTable.TableTools(table, {
        sRowSelect: "os",
        aButtons: [
            {sExtends: "editor_create", editor: editor},
            {sExtends: "editor_edit", editor: editor}
            //{sExtends: "editor_remove", editor: editor}
        ]
    });
    $(tableTools.fnContainer()).appendTo('#example_wrapper .col-xs-6:eq(0)');

    //var test= new Array({"label" : "a", "value" : "a"});
    function getSubjectList() {
        //test.splice(0, 1);
        var subject = new Array();
        $.ajax({
            url: 'teacher/getSubjectList',
            async: false,
            dataType: 'json',
            success: function (json) {
                for (var a = 0; a < json.length; a++) {
                    obj = {"label": json[a][0], "value": json[a][1]};
                    subject.push(obj);
                }
            }
        });
        return subject;
    }

    function getGroupList() {
        //test.splice(0, 1);
        var group = new Array();
        $.ajax({
            url: 'competency/getGroupList/'+schoolid,
            async: false,
            dataType: 'json',
            success: function (json) {
                for (var a = 0; a < json.length; a++) {
                    obj = {"label": json[a][0], "value": json[a][0]};
                    group.push(obj);
                }
            }
        });
        return group;
    }
    
    function getSettingList() {
        //test.splice(0, 1);
        var group = new Array();
        $.ajax({
            url: 'competency/getSettingList',
            async: false,
            dataType: 'json',
            success: function (json) {
                for (var a = 0; a < json.length; a++) {
                    obj = {"label": json[a][0], "value": json[a][1]};
                    group.push(obj);
                }
            }
        });
        return group;
    }

    $(function () {
        $("#subjects").multiselect();
    })
    
    //var test= new Array({"label" : "a", "value" : "a"});
    function getSchoolLevels() {
        //test.splice(0, 1);
        var test = new Array();
        $.ajax({
            url: 'student/getSchoolLevels/' + schoolid,
            async: false,
            dataType: 'json',
            success: function (json) {
                for (var a = 0; a < json.length; a++) {
                    obj = {"label": json[a], "value": (a + 1)};
                    test.push(obj);
                }
            }
        });
        return test;
    }
});

